<template>
  <div class="res-menu-styles">
    <!-- app-bar -->
    <v-app-bar fixed flat color="box-shadow grey lighten-5 pa-6" min-height="118">
      <v-toolbar-title class="blue--text darken-4 d-flex">
        <nuxt-link :to="localePath('/')">
          <v-avatar size="64">
            <img src="/aasaam.png" alt="aasaam" />
          </v-avatar>
        </nuxt-link>
        <h1 class="d-none d-sm-block d-md-none pt-5 pr-3 pl-3 aasaam-header-title">
          {{ $t('head.title') }}
        </h1>
      </v-toolbar-title>

      <DesktopMenu />

      <v-spacer></v-spacer>

      <v-btn
        class="fn-t d-none d-md-flex nocase"
        text
        color="primary"
        :href="support"
      >
        {{ $t('support') }}
      </v-btn>
      <v-btn
        class="fn-t d-none d-md-flex nocase"
        text
        color="primary"
        :to="localePath('/contact')"
      >
        {{ $t('callUs') }}
      </v-btn>
      <!-- <LangSwitcher /> -->
      <a :href="`tel:${$t('telephone')}`" class="call_us mr-3" dir="ltr">
        <v-icon class="white--text pr-2">mdi-phone-outline</v-icon>
        <span>{{ $t('telephone') }}</span>
      </a>
      <v-app-bar-nav-icon
        v-show="$vuetify.breakpoint.mdAndDown"
        class="d-flex d-md-none"
        @click.stop="drawer = !drawer"
      ></v-app-bar-nav-icon>
    </v-app-bar>
    <!-- mobile-drawer  -->
    <v-navigation-drawer
      v-show="$vuetify.breakpoint.mdAndDown"
      v-model="drawer"
      app
      :right="dirMode"
      width="330"
    >
      <MobileMenu />
    </v-navigation-drawer>
    <!-- mobile-drawer  -->
  </div>
</template>

<script>
export default {
  name: 'MainHeader',
  data() {
    return {
      clipped: true,
      drawer: false,
      fixed: false,
      support: 'https://crm.aasaam.org',
      miniVariant: false,
      rightDrawer: false,
      title: 'Vuetify.js',
    };
  },
  computed: {
    dirMode() {
      return this.$vuetify.rtl;
    },
  },
};
</script>
<style lang="scss" scoped>
.aasaam-header-title {
  font-size: 0.75em;
}
.fn-t {
  font-size: 0.95em;
}
.call_us {
  display: none;
  @media screen and (min-width: 1130px) {
    display: inline-block;
  }
  text-decoration: none;
  padding: 10px 16px;
  font-size: 15px;
  border-radius: 6px;
  color: #fff;
  transition: all 0.3s;
  position: relative;
  overflow: hidden;
  z-index: 1;
  &:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fe9d2d;
    border-radius: 6px;
    z-index: -2;
  }
  &:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: darken(#fe9d2d, 15%);
    transition: all 0.3s;
    border-radius: 6px;
    z-index: -1;
  }
  &:hover {
    color: #fff;
    &:before {
      width: 100%;
    }
  }
}
.box-shadow {
  box-shadow: 0 5px 17px 0 rgba(165, 132, 197, 0.2) !important;
}
</style>
